
clear
ztree2stata urns using lecture1.xls

tab assignleft draw, sum(wrongchoice)
collapse wrongchoice, by(assignleft draw)

graph bar (mean) wrongchoice, over(assignleft, relabel(1 "Start Right" 2 "Start Left") label(labsize(large))) over(draw, relabel(1 "Good outcome" 2 "Bad outcome") label(labsize(large))) bar(1, fcolor(emidblue) lcolor(black)) blabel(bar, size(large) format(%9.2f)) ytitle(Fraction of switching errors) ylabel(0(0.2)1, angle(horizontal) format(%9.1f) nogrid) name(optimalwrong, replace) graphregion(fcolor(white) lcolor(white)) plotregion(lcolor(black))
graph export optimalwrong.pdf, as(pdf) replace

